EaBIM一直以来积极响应国家“十二五”推进建筑业信息化的号召,对建筑领域的信息技术开展深入技术交流和探讨!致力于打造“BIM-建筑师-生态技术”三位一体综合资源交流共享平台,希望为BIM与可持续设计理念及技术的普及做出微小的贡献!!!

EaBIM

 找回密码
 注册

QQ登录

只需一步,快速开始

扫一扫,访问微社区

搜索
查看: 221|回复: 4
打印 上一主题 下一主题

大神求助看看这个代码怎么改才能用

[复制链接]

4

主题

10

帖子

70

积分

BIM助工

Rank: 2Rank: 2

积分
70
跳转到指定楼层
楼主
发表于 2017-4-18 11:03:23 | 只看该作者 回帖奖励 |倒序浏览 |阅读模式
using System;
using System.Collections.Generic;
using System.Text;
using System.Windows.Forms;

using Autodesk.Revit.DB;
using Autodesk.Revit.UI;
using Autodesk.Revit.ApplicationServices;
using Autodesk.Revit.Attributes;
using Autodesk.Revit.UI.Selection;



[TransactionAttribute(Autodesk.Revit.Attributes.TransactionMode.Manual)]
public class RevitCommand : IExternalCommand
{
    public Result Execute(ExternalCommandData commandData, ref string messages, ElementSet elements)
    {
   
       FilteredElementCollector collector = new FilteredElementCollector(document);
       ICollection<Element>collection=collector.OfClass(typeof(FamilySymbol)).ToElements();


foreach (Element d in collection)
{
  familysymbol = d as FamilySymbol;
if (null != familysymbol.Category)
    {
     if (familysymbol.Name == "自建族名称")
       {
        fs = familysymbol as Family Symbol;
        break;
        }
     }
}

a = curve.Length * 304.8;
b = 7200.00;  
while (c < 1)
{
XYZ location = new XYZ(curve.Evaluate(c, true).X, curve.Evaluate(c, true).Y , curve.Evaluate(c, true).Z);
Family Instance  instance  =  document.Create.New Family Instance(location,  fs,
Structural Type.Non Structural);
i += 1;
c = b * i / a;
}
    }
}
分享到:  QQ好友和群QQ好友和群 QQ空间QQ空间 腾讯微博腾讯微博 腾讯朋友腾讯朋友 微信微信
收藏收藏 转播转播 分享分享 分享淘帖 支持支持 反对反对
2F
发表于 2017-5-8 10:14:27 | 只看该作者
很好。 来学习一下
4F
发表于 2017-5-23 10:28:28 | 只看该作者
只想充实在知识的海洋
*滑块验证:
您需要登录后才可以回帖 登录 | 注册

本版积分规则

QQ|EaBIM网 ( 苏ICP备2020058923号-1  苏公网安备32011502011255号

GMT+8, 2024-11-30 16:58

Powered by Discuz! X3.2 Licensed

© 2001-2013 Comsenz Inc.

快速回复 返回顶部 返回列表